Subject: Re: linux-next: build failure after merge of the final tree (net-next tree related)

From: Giuseppe CAVALLARO <[email-masked]>
Date: Fri, 06 Apr 2012 09:09:45 +0200

On 4/5/2012 5:59 AM, David Miller wrote:
> From: Stephen Rothwell <[email-masked]>
> Date: Thu, 5 Apr 2012 13:25:15 +1000
> 
>> After merging the final tree, today's linux-next build (powerpc
>> allyesconfig) failed like this:
>>
>> drivers/net/ethernet/stmicro/stmmac/stmmac_platform.c: In function 'stmmac_probe_config_dt':
>> drivers/net/ethernet/stmicro/stmmac/stmmac_platform.c:53:7: error: 'struct plat_stmmacenet_data' has no member named 'pbl'
>>
>> Caused by commit 8327eb65e795 ("stmmac: re-work the internal GMAC DMA
>> platf parameters").  Clearly I am missing something, because I can't see
>> how that patch is correct since nothing ever assigns to the new dma_cfg
>> pointer but it is dereferenced.
>>
>> I have added this patch to make it build today, but it is obviously not
>> correct.
> 
> Sorry Stephen.
> 
> Giuseppe don't submit patches to me that don't even compile.
> 
> Please submit a proper fix to me for this _now_.

Sorry Dave!
I don't know what happened (I believed to test all).
I'm sending you the patches soon!!!

Peppe

> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>